<?php
class tx_multishop_payment_method extends mslib_payment {
	function displayPaymentButton($orders_id, $ref) {
		$order=mslib_fe::getOrder($orders_id);
		if ($order['orders_id']) {
			$vars=$this->variables;
			if ($vars['test']=='true') {
				$ref->ms['url']='https://test.admeris.com/store/checkout/ccpayment.jsp';
			} else {
				$ref->ms['url']='https://ec1.admeris.com/checkout/ccpayment.jsp';
			}
			$amount=(preg_replace("/^0/", '', $order['total_amount']));
			$transaction_id=mslib_fe::createPaymentTransactionId($order['orders_id'], 'admeris', $order['payment_method']);
			$content.='
			<form method="post" action="'.$ref->ms['url'].'" id="pspform" name="pspform" target="pspform" target="'.($vars['open_in_new_window']=='true' ? '_blank' : '').'">
			  <input type="hidden" name="merchantId" value="'.$vars['merchant_id'].'">
			  <input type="hidden" name="storeId" value="'.$vars['store_id'].'">
				<input type="hidden" name="total" value="'.number_format($amount, 2, '.', '').'">
			  <!--MORE OPTIONAL VARIABLES CAN BE DEFINED HERE -->
			  <input type="hidden" name="invoice" value="'.$transaction_id.'">
			  <input type="submit" name="submit" value="Click to proceed to Secure Page">
			</form>';
			if ($vars['autosubmit']=='true') {
				$content.='<script type="text/javascript" language="JavaScript">
						jQuery(document).ready(function(){
							jQuery.blockUI({ css: {
								width: \'350\',
								border: \'none\',
								padding: \'15px\',
								backgroundColor: \'#000\',
								\'-webkit-border-radius\': \'10px\',
								\'-moz-border-radius\': \'10px\',
								opacity: .5,
								color: \'#fff\'
								},
								message:  \'ONE MOMENT PLEASE\',
								onBlock: function() {
									jQuery("#pspform").attr(\'target\',\'\');
									jQuery("#pspform").submit();
							//		return true;
								}
							});
			
						});
					</script>';
			}
		}
		return $content;
	}
	function paymentNotificationHandler() {
		$post=$this->ref->post;
		if ($post['invoice']) {
			$transaction_id=$post['invoice'];
		}
		if ($transaction_id) {
			if ($post['status']=='success') {
				$orders_id=mslib_fe::getOrdersIdByTransactionId($transaction_id, 'admeris');
				if ($orders_id) {
					mslib_fe::updateOrderStatusToPaid($orders_id);
					//header('Location: '.$ref->FULL_HTTP_URL.mslib_fe::typolink('','tx_multishop_pi1[page_section]=psp_accepturl'));
					//exit();
				}
			} else {
				//header('Location: '.$ref->FULL_HTTP_URL.mslib_fe::typolink('','tx_multishop_pi1[page_section]=psp_exceptionurl'));
				//exit();
			}
		} else {
			//header('Location: '.$ref->FULL_HTTP_URL.mslib_fe::typolink('','tx_multishop_pi1[page_section]=psp_exceptionurl'));
			//exit();
		}
		mail('widy@bvbmedia.nl', 'Admeris postback', print_r($post, 1));
		return $content;
	}
}
?>